Subject: RE: [SIP] Max-Forwards + Proxies

From: "Fairlie-Cuninghame, Robert" <[email-masked]>
Date: Tue, 27 Jun 2000 23:14:32 -0700

I got this from Stevens, TCP/IP Illustrated Vol. 1 chapter on Traceroute. It
is normally a fairly good source. I read RFC1009 and it also says that you
should never receive a packet with TTL 0 (cf. Section 4.8). Likewise,
RFC1122(Host Requirements) states
	"A host MUST NOT discard a datagram just because it was
      received with TTL less than 2.
	.... The intent is that TTL expiration will cause a datagram
      to be discarded by a gateway but not by the destination
      host; however, hosts that act as gateways by forwarding
      datagrams must follow the gateway rules for TTL.

So I am unsure as to what is in dispute here. Anyway this is getting fairly
offtopic and so we should probably take the discussion offline.

Regards,

Robert.

-----Original Message-----
From: Henning Schulzrinne [mailto:[email-masked]]
Sent: Tuesday, June 27, 2000 8:23 PM
To: Fairlie-Cuninghame, Robert
Cc: Jonathan Rosenberg; [email-masked]
Subject: Re: [SIP] Max-Forwards + Proxies

Not to belabor the point, but please see RFC 1009 (Requirements for
Internet Gateways), Section 4.8. Your statement about TTL appears to be
at variance with the facts. (Not forwarding a packet with TTL 1 also
wouldn't work since receiving a packet with TTL 0 is perfectly valid.)
-- 
Henning Schulzrinne   http://www.cs.columbia.edu/~hgs

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip